[oe-commits] org.oe.dev freesmartphone: add a fso-image and fix bb-files

jluebbe commit oe at amethyst.openembedded.net
Sat May 17 11:05:01 UTC 2008


freesmartphone: add a fso-image and fix bb-files

Author: jluebbe at openembedded.org
Branch: org.openembedded.dev
Revision: 6f7c6c0d226901d61dbd149693b1d376efe3b4d2
ViewMTN: http://monotone.openembedded.org/revision/info/6f7c6c0d226901d61dbd149693b1d376efe3b4d2
Files:
1
packages/freesmartphone/python-ousaged
packages/freesmartphone/zhone
packages/freesmartphone/python-ophoned/ophoned
packages/freesmartphone/python-ousaged/ousaged
packages/freesmartphone/python-ousaged_git.bb
packages/freesmartphone/zhone/80zhone
packages/images/fso-image.bb
conf/distro/include/fso-autorev.inc
conf/distro/include/sane-srcrevs.inc
packages/freesmartphone/python-ophoned_git.bb
packages/freesmartphone/zhone_git.bb
Diffs:

#
# mt diff -re831991bf0dcef0cf379cc061821840fcf0f6d26 -r6f7c6c0d226901d61dbd149693b1d376efe3b4d2
#
#
#
# add_dir "packages/freesmartphone/python-ousaged"
# 
# add_dir "packages/freesmartphone/zhone"
# 
# add_file "packages/freesmartphone/python-ophoned/ophoned"
#  content [04ac655816cc1bcffc208b9a49671a917fa078eb]
# 
# add_file "packages/freesmartphone/python-ousaged/ousaged"
#  content [c51f4851c9816bae9c38bbb52a7ae117ae697d0f]
# 
# add_file "packages/freesmartphone/python-ousaged_git.bb"
#  content [7e85950cc2cc762a57a6e4933d57332db89c97f4]
# 
# add_file "packages/freesmartphone/zhone/80zhone"
#  content [9ff83a5124c6c03330a51793cd6cf90e486b185e]
# 
# add_file "packages/images/fso-image.bb"
#  content [e842729f8da66c4407499fe16327a5107ca1895d]
# 
# patch "conf/distro/include/fso-autorev.inc"
#  from [f9276705864b02b4689fddd0fdbfb8f5ce705e91]
#    to [1bd8343974f0b1a558fc8a74c6c3960c49fafd3e]
# 
# patch "conf/distro/include/sane-srcrevs.inc"
#  from [2cff5a66720adf7279a2d1efa08468aa48d8a0d0]
#    to [8ab516eb346939396ae72444623b5b352271c190]
# 
# patch "packages/freesmartphone/python-ophoned_git.bb"
#  from [c3a23270719f3ed39a3432f18c7e5dd0ad4b8847]
#    to [e858c518c17070ad938fb291af8a6bd7474d439c]
# 
# patch "packages/freesmartphone/zhone_git.bb"
#  from [be991be982f74c721ed53468671e7ecce2218df4]
#    to [d0d277f5c32f22996b96396481571321668f1dc1]
#
============================================================
--- packages/freesmartphone/python-ophoned/ophoned	04ac655816cc1bcffc208b9a49671a917fa078eb
+++ packages/freesmartphone/python-ophoned/ophoned	04ac655816cc1bcffc208b9a49671a917fa078eb
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# ophoned  This shell script starts and stops the open phone daemon.
+#
+# chkconfig: 345 90 20
+# description: py-ophoned is the open phone daemon
+# processname: python
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=ophoned
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+    start)
+        echo -n "Starting open phone daemon: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/ophoned
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping open phone daemon: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/ophoned {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
============================================================
--- packages/freesmartphone/python-ousaged/ousaged	c51f4851c9816bae9c38bbb52a7ae117ae697d0f
+++ packages/freesmartphone/python-ousaged/ousaged	c51f4851c9816bae9c38bbb52a7ae117ae697d0f
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# odeviced  This shell script starts and stops the open device daemon.
+#
+# chkconfig: 345 90 20
+# description: py-ousaged is the open usage daemon
+# processname: python
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=odeviced
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+    start)
+        echo -n "Starting open usage daemon: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/ousaged
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping open usage daemon: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/ousaged {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
============================================================
--- packages/freesmartphone/python-ousaged_git.bb	7e85950cc2cc762a57a6e4933d57332db89c97f4
+++ packages/freesmartphone/python-ousaged_git.bb	7e85950cc2cc762a57a6e4933d57332db89c97f4
@@ -0,0 +1,36 @@
+DESCRIPTION = "The Open Usage Daemon Prototype in Python"
+HOMEPAGE = "http://www.freesmartphone.org/mediawiki/index.php/Implementations/OpenUsageDaemon"
+AUTHOR = "Michael 'Mickey' Lauer <mlauer at vanille-media.de>"
+SECTION = "console/network"
+DEPENDS = "python-cython-native python-pyrex-native"
+LICENSE = "GPLv2"
+PV = "0.7.9+gitr${SRCREV}"
+PR = "r0"
+
+inherit distutils update-rc.d
+
+INITSCRIPT_NAME = "ousaged"
+INITSCRIPT_PARAMS = "defaults 20"
+
+SRC_URI = "\
+  ${FREESMARTPHONE_GIT}/usaged.git;protocol=git;branch=master \
+  file://ousaged \
+"
+S = "${WORKDIR}/git"
+
+do_install_append() {
+	install -d ${D}${sysconfdir}/init.d/
+	install -m 0755 ${WORKDIR}/ousaged ${D}${sysconfdir}/init.d/
+	install -d ${D}${sysconfdir}/dbus-1/system.d/
+	mv -f ${D}${datadir}/etc/dbus-1/system.d/ousaged.conf ${D}${sysconfdir}/dbus-1/system.d/
+}
+
+RDEPENDS_${PN} += "\
+  python-dbus \
+  python-pygobject \
+  python-pyrtc \
+  python-syslog \
+  python-odeviced \
+"
+
+FILES_${PN} += "${sysconfdir}"
============================================================
--- packages/freesmartphone/zhone/80zhone	9ff83a5124c6c03330a51793cd6cf90e486b185e
+++ packages/freesmartphone/zhone/80zhone	9ff83a5124c6c03330a51793cd6cf90e486b185e
@@ -0,0 +1,4 @@
+#!/bin/sh -e
+zhone --fullscreen > /dev/null 2>&1 &
+renice -3 $!
+exit 0
============================================================
--- packages/images/fso-image.bb	e842729f8da66c4407499fe16327a5107ca1895d
+++ packages/images/fso-image.bb	e842729f8da66c4407499fe16327a5107ca1895d
@@ -0,0 +1,61 @@
+#------------------------------------------------------
+# freesmartphone.org Image Recipe
+#------------------------------------------------------
+
+IMAGE_LINGUAS = ""
+ 
+ADD_INSTALL = "\
+  fontconfig-utils \
+  \
+  ttf-dejavu-common \
+  ttf-dejavu-sans \
+  ttf-dejavu-serif \
+  \
+"
+ 
+MICKEY_INSTALL = "\
+  htop \
+  mickeyterm \
+  nano \
+  powertop \
+  s3c24xx-gpio \
+"
+ 
+ZHONE_INSTALL = "\
+  gsm0710muxd \
+  python-odeviced \
+  python-ophoned \
+  python-ousaged \
+  zhone \
+"
+ 
+IMAGE_INSTALL = "\
+  ${MACHINE_TASK_PROVIDER} \
+  netbase \
+  sysfsutils \
+  module-init-tools-depmod \
+  rsync \
+  screen \
+  fbset \
+  fbset-modes \
+  \
+  matchbox-wm \
+  ${XSERVER} \
+  xserver-kdrive-common \
+  xserver-nodm-init \
+  xauth \
+  xhost \
+  xset \
+  xrandr \
+  \
+  python-codecs \
+  \
+  ${ADD_INSTALL} \
+  ${MICKEY_INSTALL} \
+  ${ZHONE_INSTALL} \
+"
+ 
+inherit image
+ 
+ROOTFS_POSTPROCESS_COMMAND += 'date "+%m%d%H%M%Y" >${IMAGE_ROOTFS}/etc/timestamp'
+
============================================================
--- conf/distro/include/fso-autorev.inc	f9276705864b02b4689fddd0fdbfb8f5ce705e91
+++ conf/distro/include/fso-autorev.inc	1bd8343974f0b1a558fc8a74c6c3960c49fafd3e
@@ -5,5 +5,6 @@ SRCREV_pn-python-ophoned = "${AUTOREV}"
 SRCREV_pn-pynoeg = "${AUTOREV}"
 SRCREV_pn-python-odeviced = "${AUTOREV}"
 SRCREV_pn-python-ophoned = "${AUTOREV}"
+SRCREV_pn-python-ousaged = "${AUTOREV}"
 SRCREV_pn-python-pytrc = "${AUTOREV}"
 SRCREV_pn-zhone = "${AUTOREV}"
============================================================
--- conf/distro/include/sane-srcrevs.inc	2cff5a66720adf7279a2d1efa08468aa48d8a0d0
+++ conf/distro/include/sane-srcrevs.inc	8ab516eb346939396ae72444623b5b352271c190
@@ -159,8 +159,9 @@ SRCREV_pn-pty-forward-native ?= "4214"
 SRCREV_pn-packagekit ?= "74a3b7e3f3bc8627c23349e0b0d8429fd5f53fc6"
 SRCREV_pn-psplash ?= "249"
 SRCREV_pn-pty-forward-native ?= "4214"
-SRCREV_pn-python-odeviced ?= "e2ae2c252ef43be23781c2d09567a8d21ca1e965"
-SRCREV_pn-python-ophoned ?= "e657c81a6729aeef21ba4c6b75590658cbbef391"
+SRCREV_pn-python-odeviced ?= "2f02576532b52732251b3c530a09e4c08685a911"
+SRCREV_pn-python-ophoned ?= "8bb89a912163c8a846be7a14b2a6e2f832f91bd6"
+SRCREV_pn-python-ousaged ?= "c7f83c3f696b6e72f3cab244af4e88dc4851018e"
 SRCREV_pn-pygsm ?= "976477f6b403f422b4ea730f71ebf409f6671141"
 SRCREV_pn-pylgrim ?= "20"
 SRCREV_pn-pyneod ?= "41de4d538b50b27ab2a2f5aae1a180b880a05b6a"
@@ -184,4 +185,4 @@ SRCREV_pn-xserver-kdrive-glamo ?= "a5136
 SRCREV_pn-wesnoth ?= "22021"
 SRCREV_pn-xoo ?= "1971"
 SRCREV_pn-xserver-kdrive-glamo ?= "a51364e2f23d4b6331c5ed613ce3f7e15f8e540f"
+SRCREV_pn-zhone ?= "c1b73d7b4bc3a1abacc871a30cd8c0fb44a5d38b"
-SRCREV_pn-zhone ?= "a9496c35328f66ed8e4f840709721c5bacae2bb4"
============================================================
--- packages/freesmartphone/python-ophoned_git.bb	c3a23270719f3ed39a3432f18c7e5dd0ad4b8847
+++ packages/freesmartphone/python-ophoned_git.bb	e858c518c17070ad938fb291af8a6bd7474d439c
@@ -19,9 +19,9 @@ do_install_append() {
 do_install_append() {
 	install -d ${D}${sysconfdir}/init.d/
 	install -m 0755 ${WORKDIR}/ophoned ${D}${sysconfdir}/init.d/
-#	install -m 0644 ${WORKDIR}/odeviced.conf ${D}${sysconfdir}
+#	install -m 0644 ${WORKDIR}/ophoned.conf ${D}${sysconfdir}
 	install -d ${D}${sysconfdir}/dbus-1/system.d/
-#	mv -f ${D}${datadir}/etc/dbus-1/system.d/odeviced.conf ${D}${sysconfdir}/dbus-1/system.d/
+	mv -f ${D}${datadir}/etc/dbus-1/system.d/ophoned.conf ${D}${sysconfdir}/dbus-1/system.d/
 }
 
 RDEPENDS_${PN} += "\
============================================================
--- packages/freesmartphone/zhone_git.bb	be991be982f74c721ed53468671e7ecce2218df4
+++ packages/freesmartphone/zhone_git.bb	d0d277f5c32f22996b96396481571321668f1dc1
@@ -4,10 +4,26 @@ PV = "0.0.0+gitr${SRCREV}"
 DEPENDS = "edje-native"
 RDEPENDS = "task-python-efl python-textutils"
 PV = "0.0.0+gitr${SRCREV}"
+PR = "r3"
 
-SRC_URI = "${FREESMARTPHONE_GIT}/zhone.git;protocol=git;branch=master"
+SRC_URI = "${FREESMARTPHONE_GIT}/zhone.git;protocol=git;branch=master \
+           file://80zhone"
 S = "${WORKDIR}/git"
 
 inherit autotools
 
+RDEPENDS_${PN} += "\
+  python-dbus \
+"
+
+do_install_append() {
+	install -d ${D}${sysconfdir}/X11/Xsession.d/
+	install -m 0755 ${WORKDIR}/80zhone ${D}${sysconfdir}/X11/Xsession.d/
+}
+
+FILES_${PN} += "${datadir} ${sysconfdir}"
+
+RCONFLICTS = "openmoko-session2"
+RREPLACES = "openmoko-session2"
+PACKAGE_ARCH = "${MACHINE_ARCH}"
+
-FILES_${PN} += "${datadir}"






More information about the Openembedded-commits mailing list